Page MenuHomePhabricator

Make AffectedPagesFinder take DESCRIPTION_USAGE into account [S]
Closed, ResolvedPublic

Description

AffectedPagesFinder should take the new description usage (D) into account when identifying relevant pages for a change.

This is needed if we want to stop also tracking all (X) or other (O) usages along with statement usages.

This probably requires T113468: [Task] Use compact representation of diffs in EntityChange. to work.

Note: Size of this task is estimated as Small in the assumption that T113468 is not required to fulfil this (this is what @daniel and @thiemowmde claim).

Event Timeline

hoo created this task.Sep 21 2017, 2:08 PM
WMDE-leszek renamed this task from Make AffectedPagesFinder take DESCRIPTION_USAGE into account to Make AffectedPagesFinder take DESCRIPTION_USAGE into account [S].Nov 7 2017, 1:46 PM
WMDE-leszek raised the priority of this task from Normal to High.
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek added a subscriber: thiemowmde.

Change 390301 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Make AffectedPagesFinder take DESCRIPTION_USAGE into account

https://gerrit.wikimedia.org/r/390301

Ladsgroup claimed this task.Nov 9 2017, 7:57 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 9 2017, 7:57 PM

Change 390414 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig):
[mediawiki/extensions/Wikibase@master] Reduce duplicate code in AffectedPagesFinder

https://gerrit.wikimedia.org/r/390414

Change 390301 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make AffectedPagesFinder take DESCRIPTION_USAGE into account

https://gerrit.wikimedia.org/r/390301

Change 390414 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reduce duplicate code in AffectedPagesFinder

https://gerrit.wikimedia.org/r/390414

WMDE-leszek closed this task as Resolved.Nov 21 2017, 1:16 PM

Change 394390 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Stop adding "other usage" when we are using just the description

https://gerrit.wikimedia.org/r/394390

Change 394390 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Stop adding "other usage" when we are using just the description

https://gerrit.wikimedia.org/r/394390